Quote Customer Details
The quote customer details resource.
Basehttps://rest.carbon.ms/quoteCustomerDetails
GET
/quoteCustomerDetailsList quote customer detailss
Retrieve a paginated list of quote customer detailss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/quoteCustomerDetails
curl --request GET \
--url 'https://rest.carbon.ms/quoteCustomerDetails?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"quoteId": "xyz789",
"customerName": "string",
"contactName": "string",
"contactEmail": "string",
"customerAddressLine1": "string",
"customerAddressLine2": "string",
"customerCity": "string",
"customerStateProvince": "string"
}
]GET
/quoteCustomerDetailsRetrieve a quote customer details
Fetch a single quote customer details by filtering on `quoteId`.
Query parameters
quoteIdstringMatch on the quote customer details's `quoteId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/quoteCustomerDetails
curl --request GET \
--url 'https://rest.carbon.ms/quoteCustomerDetails?quoteId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"quoteId": "xyz789",
"customerName": "string",
"contactName": "string",
"contactEmail": "string",
"customerAddressLine1": "string",
"customerAddressLine2": "string",
"customerCity": "string",
"customerStateProvince": "string"
}